// Copyright 1991 (c),   Lake View Software
//                       4321 Harborough Rd.
//                       Columbus, OH 43220
#include "winobj.hpp"

struct Selection
{
    char *str;      // selectoin string
    int y,x;        // position
    int ret_val;    // return value
    char *message;  //
    Selection *Next,*Prev;
};

class WinMenu:public WinObj
{
    protected:
        Selection *First,*Last,*Current;
        int selections;
        int bar_attr;
        int m_line;
        int m_attr;
        WinObj *m_win;
    public:
        WinMenu();
        ~WinMenu();
        int prompt(int y,int x,int ret_val,char *str,char *message=0);
        int read(int start_pos);                 // get menu
        int read() {return read(-1);};          // get menu
        void reset();                       // reset the menu system
        void close(){reset();};
        int set_barattr(int attr);     // returns old value
        int message_line (int new_line_no); // returns old value
        int message_attr (int new_attr);  // returns old value
};
